'use strict';

app.directive('addPage', function() {
  return {
    require: '^deviceInterface',
    restrict: 'E',
    scope: {
      
    },
    link: function(scope, element, attrs, interfaceCtrl) {
      element.on('click', function() {
        interfaceCtrl.addPage(scope);
      });
      
    },
    template: '<button type="button" class="btn btn-menu">Add a new page</button>'
  };
});